<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWhsSignaturesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('whs_signatures', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('whs_id')->nullable();
            $table->unsignedBigInteger('employee_id')->nullable();
            $table->string('signatures')->nullable();
            $table->string('job_desription')->nullable();
            $table->string('inductance_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('whs_signatures');
    }
}
